version: "3"
services:
  ytdl_material:
    networks:
      - local_net
      - db
    environment:
      ytdl_mongodb_connection_string: 'mongodb://ytdl-mongo-db:27017'
      ytdl_use_local_db: 'false'
      write_ytdl_config: 'true'
    restart: unless-stopped
    depends_on:
      - ytdl-mongo-db
    volumes:
      - /srv/youtube_dl/appdata:/app/appdata
      # - /home/knast/shares/disk1/music:/app/audio
      # - /home/knast/shares/disk1/classics:/app/video
      - /srv/youtube_dl/users:/app/users
    ports:
      - "17442:17442"
    image: tzahi12345/youtubedl-material:latest
  ytdl-mongo-db:
    networks:
      - db
    image: mongo
    # logging:
    #   driver: "none"
    container_name: mongo-db
    restart: unless-stopped
    volumes:
      - /srv/youtube_dl/db/:/data/db

networks:
  local_net:
    name: local_net
    external: true
  db:
    external: false
